Loading...
Searching...
No Matches
draw.c File Reference

GRASS PS display driver. More...

`#include "psdriver.h"`
Include dependency graph for psdriver/draw.c:

Go to the source code of this file.

## Functions

void | PS_Begin (void)
void | PS_Move (double x, double y)
void | PS_Cont (double x, double y)
void | PS_Close (void)
void | PS_Stroke (void)
void | PS_Fill (void)
void | PS_Point (double x, double y)

## Detailed Description

GRASS PS display driver.

(C) 2007-2008 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file psdriver/draw.c.

## Function Documentation

## PS_Begin()

void PS_Begin | ( | void |  | ) |

Definition at line 16 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().

## PS_Close()

void PS_Close | ( | void |  | ) |

Definition at line 31 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().

## PS_Cont()

void PS_Cont | ( | double | x,
|  | double | y )

Definition at line 26 of file psdriver/draw.c.

References output(), and x.

Referenced by PS_Driver().

## PS_Fill()

void PS_Fill | ( | void |  | ) |

Definition at line 41 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().

## PS_Move()

void PS_Move | ( | double | x,
|  | double | y )

Definition at line 21 of file psdriver/draw.c.

References output(), and x.

Referenced by PS_Driver().

## PS_Point()

void PS_Point | ( | double | x,
|  | double | y )

Definition at line 46 of file psdriver/draw.c.

References output(), and x.

Referenced by PS_Driver().

## PS_Stroke()

void PS_Stroke | ( | void |  | ) |

Definition at line 36 of file psdriver/draw.c.

References output().

Referenced by PS_Driver().